/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IDS_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_IDS_REQ_INDICATOR_ENTRY', 'T_IDS_REQ_INDICATOR_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_REQ_INDICATOR_ENTRY' AND KSQL_INDNAME = 'IDX_IDS_REQ_INDIC_ENTRY_FID') CREATE INDEX IDX_IDS_REQ_INDIC_ENTRY_FID ON T_IDS_REQ_INDICATOR_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_IDS_REQUIREPLAN', 'T_IDS_REQUIREPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_REQUIREPLAN' AND KSQL_INDNAME = 'IDX_IDS_REQUIREPLAN_FBILLNO') CREATE INDEX IDX_IDS_REQUIREPLAN_FBILLNO ON T_IDS_REQUIREPLAN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_REQUIREPLAN' AND KSQL_INDNAME = 'IDX_IDS_REQUIREPLAN_FBILLTITLE') CREATE INDEX IDX_IDS_REQUIREPLAN_FBILLTITLE ON T_IDS_REQUIREPLAN ( FBILLTITLE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_REQUIREPLAN' AND KSQL_INDNAME = 'IDX_IDS_REQUIREPLAN_FBILLDATE') CREATE INDEX IDX_IDS_REQUIREPLAN_FBILLDATE ON T_IDS_REQUIREPLAN ( FBILLDATE );


 EXEC P_ALTERPK 'PK_T_IDS_REQUIREPLAN_ENTRY', 'T_IDS_REQUIREPLAN_ENTRY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_REQUIREPLAN_ENTRY' AND KSQL_INDNAME = 'IDX_IDS_REQPLAN_ENTRY_PLANID') CREATE INDEX IDX_IDS_REQPLAN_ENTRY_PLANID ON T_IDS_REQUIREPLAN_ENTRY ( FREQUIREPLANID );


 EXEC P_ALTERPK 'PK_T_IDS_SALESPLAN', 'T_IDS_SALESPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_SALESPLAN' AND KSQL_INDNAME = 'IDX_IDS_SALESPLAN_FBILLNO') CREATE INDEX IDX_IDS_SALESPLAN_FBILLNO ON T_IDS_SALESPLAN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_SALESPLAN' AND KSQL_INDNAME = 'IDX_IDS_SALESPLAN_FPERIODID') CREATE INDEX IDX_IDS_SALESPLAN_FPERIODID ON T_IDS_SALESPLAN ( FPERIODID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_SALESPLAN' AND KSQL_INDNAME = 'IDX_IDS_SALESPLAN_FBILLDATE') CREATE INDEX IDX_IDS_SALESPLAN_FBILLDATE ON T_IDS_SALESPLAN ( FBILLDATE );


 EXEC P_ALTERPK 'PK_T_IDS_SALESPLAN_ENTRY', 'T_IDS_SALESPLAN_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_SALESPLAN_ENTRY' AND KSQL_INDNAME = 'IDX_IDS_SALESPLAN_ENTRY_FID') CREATE INDEX IDX_IDS_SALESPLAN_ENTRY_FID ON T_IDS_SALESPLAN_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_IDS_SALESPLAN_INDICATOR', 'T_IDS_SALESPLAN_INDICATOR', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_SALESPLAN_INDICATOR' AND KSQL_INDNAME = 'IDX_IDS_SALESPLAN_INDIC_ID') CREATE INDEX IDX_IDS_SALESPLAN_INDIC_ID ON T_IDS_SALESPLAN_INDICATOR ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_IDS_SALESPLAN_PERIOD', 'T_IDS_SALESPLAN_PERIOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_SALESPLAN_PERIOD' AND KSQL_INDNAME = 'IDX_IDS_SALESPLAN_PERIOD_NUM') CREATE INDEX IDX_IDS_SALESPLAN_PERIOD_NUM ON T_IDS_SALESPLAN_PERIOD ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_SALESPLAN_PERIOD' AND KSQL_INDNAME = 'IDX_IDS_SALESPLAN_PERIOD_FNAME') CREATE INDEX IDX_IDS_SALESPLAN_PERIOD_FNAME ON T_IDS_SALESPLAN_PERIOD ( FNAME );


 EXEC P_ALTERPK 'PK_T_IDS_SALESPLAN_PERIOD_L', 'T_IDS_SALESPLAN_PERIOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_SALESPLAN_PERIOD_L' AND KSQL_INDNAME = 'IDX_IDS_SALESPLAN_PERIOX_L_0') CREATE INDEX IDX_IDS_SALESPLAN_PERIOX_L_0 ON T_IDS_SALESPLAN_PERIOD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_IDS_SALESPLAN_PERIOD_R3', 'T_IDS_SALESPLAN_PERIOD_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IDS_SALESPLAN_PERIOD_R3' AND KSQL_INDNAME = 'IDX_IDS_SALESPLAN_PERIOD_R3ST') CREATE INDEX IDX_IDS_SALESPLAN_PERIOD_R3ST ON T_IDS_SALESPLAN_PERIOD_R3 ( FREFSTATUS );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IDS_constraint.sql **/
